package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.common.base.RequestResult;
import com.bsoft.api.mapper.BlockValuesMapper;
import com.bsoft.api.model.requmodel.BlockValues;
import com.bsoft.api.service.BlockValuesService;
import com.bsoft.api.service.Impl.BlockValuesServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

@Api(tags = "板块数值Api")
@RestController
public class BlockValuesController {

    @Autowired
    private BlockValuesService blockValuesService;


    /**
     * 根据pageId查询板块数值
     * @return
     * @throws Exception
     */
    @GetMapping("blockValues")
//    @Token
    @ApiOperation("根据Page查询板块数值")
    public  Object getBlockValuesByPageID(@RequestBody BlockValues blockValues){

        return Result.success(blockValuesService.getBlockValuesByPageID(blockValues.getPageId(),blockValues.getDisease(),
                blockValues.getDoctor(),blockValues.getDepartment(),blockValues.getTime()));
    }
}